Package list python-pauvre / 066a8b2
adapted setup.py for scikit-learn Etienne Mollier 1 year, 4 months ago
2 changed file(s) with 23 addition(s) and 0 deletion(s). Raw diff Collapse all Expand all
0 Description: require scikit-learn instead of sklearn
1 This fixes a problem in pkg_resource loading when trying to start pauvre with
2 the provided command line interface. See the following for more details:
3 https://lists.debian.org/debian-python/2020/04/msg00146.html
4 Not sure yet if this is Debian specific. If not it might be worth contacting
5 upstream.
6 Author: Etienne Mollier <etienne.mollier@mailoo.org>
7 Forwarded: no
8 Last-Update: 2020-04-27
9 ---
10 This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
11 --- python-pauvre.orig/setup.py
12 +++ python-pauvre/setup.py
13 @@ -65,7 +65,7 @@
14 "pandas >= 0.20.1",
15 "numpy >= 1.12.1",
16 "scipy",
17 - "sklearn"
18 + "scikit-learn"
19 ],
20 entry_points={
21 'console_scripts': ['pauvre=pauvre.pauvre_main:main'],
0 fix-scikit-learn-resource-load.patch
01 2to3.patch
12 typo-redwood.patch
23 lsi-test-args.patch